<?
require_once('../../../conf/connection.php');
$enviar=$_POST["cantidad"];

  if(isset($enviar))
  {
	  //grupo de variables enviadas mediante metodo post desde el formulario
	  $numero=stripslashes($_POST["codfacturatmp"]);
	  $codigo=stripslashes($_POST["codigo"]);
	  $precio=stripslashes($_POST["precio"]);
	  $total=stripslashes($_POST["total"]);
	  $cantidad=stripslashes($_POST["cantidad"]);
	  $proveedor=stripslashes($_POST["proveedor"]);
	  $sucu=stripslashes($_POST["sucu"]);
	  $fecha=date("Y-m-d");
	  

	  
//extraemos el precio del producto

$query_unit="SELECT * FROM articulos WHERE referencia='$codigo'";
$res_unit=mysql_query($query_unit);
$valor_unit=mysql_result($res_unit,0,"precio_tienda");
$valor_sto=mysql_result($res_unit,0,"stock");

// si el stock esta en minimo...
    if($valor_sto<=0){ ?>
        <script>
           alert("Articulo se encuentra con stock minimo...")
        </script>
		
		<? }

// multiplicamos cantidad por precio

$valor_total=$cantidad*$valor_unit; 

         //insertamos pedidod a la base de datos 
         $insertar="insert into detalles_proveedor (iddetalles_pedido, cantidad, valor_unitario, valor_total, 
		 codarticulo, numero,sucu) 
		 values (";
		 $insertar.="\"\", \"$cantidad\", \"$valor_unit\", \"$valor_total\",\"$codigo\",\"$numero\",\"$sucu\")";       
         mysql_query($insertar, $conn) or die("Error en el query: ".mysql_error());

        //restamos al inventario 
 			 $sel_articulos="UPDATE articulos SET stock=(stock+'$cantidad') WHERE referencia='$codigo'";
		     $rs_articulos=mysql_query($sel_articulos);
        
		//registramos cartola
		
		    $query_operacion="INSERT INTO  cartola_historica  (num_linea,fecha,tipo_doc,glosa,entrada,salida,art,pedido,sucu)  	 
			VALUES ('','$fecha','7','INGRESO DE PRODUCTO','$cantidad','','$codigo','$numero','$sucu')";					
	        $rs_operacion=mysql_query($query_operacion);
            

			mysql_close($conn);
		?>
         <META HTTP-EQUIV="REFRESH" CONTENT="0;URL=add.php?guia=<? echo $numero; ?>&proveedor=<? echo $proveedor; ?>&sucu=<? echo $sucu; ?>">
       
         <? 
		
  }
  else{
	  ?><script>alert("ERROR:no se ingrasaron los datos");window.close()</script> <? }
?>